org.eclipse.microprofile.opentracing.tck.application

## Class TestServerWebServicesWithOperationName

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.TestServerWebServicesWithOperationName

    @Traced(operationName="wsOperations")
     @Path(value="testServicesWithOpName")
    public class TestServerWebServicesWithOperationName
    extends Object

Test JAXRS web services.

### Field Summary

Fields
`static String` `CLASS_OPERATION_NAME` Traced operationName prefix.
`static String` `ENDPOINT_OPERATION_NAME` Explicit endpoint operation name.
`static String` `REST_OPERATION_CLASS_AND_METHOD_OP_NAME` Web service endpoint with an explicit operation name on the class and endpoint.
`static String` `REST_OPERATION_CLASS_OP_NAME` Web service endpoint with an explicit operation name on the class.
`static String` `REST_TEST_SERVICE_PATH_WITH_OP_NAME` The path to this set of web services.

### Constructor Summary

Constructors
Constructor and Description
`TestServerWebServicesWithOperationName()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `classAndMethodOperationName()` Test class and endpoint with Traced annotation and operation name.
`jakarta.ws.rs.core.Response` `classOperationName()` Test class with Traced annotation and operation name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REST_TEST_SERVICE_PATH_WITH_OP_NAME

    public static final String REST_TEST_SERVICE_PATH_WITH_OP_NAME

The path to this set of web services.

See Also:
  Constant Field Values

#### CLASS_OPERATION_NAME

    public static final String CLASS_OPERATION_NAME

Traced operationName prefix.

See Also:
  Constant Field Values

#### REST_OPERATION_CLASS_OP_NAME

    public static final String REST_OPERATION_CLASS_OP_NAME

Web service endpoint with an explicit operation name on the class.

See Also:
  Constant Field Values

#### REST_OPERATION_CLASS_AND_METHOD_OP_NAME

    public static final String REST_OPERATION_CLASS_AND_METHOD_OP_NAME

Web service endpoint with an explicit operation name on the class and endpoint.

See Also:
  Constant Field Values

#### ENDPOINT_OPERATION_NAME

    public static final String ENDPOINT_OPERATION_NAME

Explicit endpoint operation name.

See Also:
  Constant Field Values

### Constructor Detail

#### TestServerWebServicesWithOperationName

    public TestServerWebServicesWithOperationName()

### Method Detail

#### classOperationName

    @GET
     @Path(value="classOperationName")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response classOperationName()

Test class with Traced annotation and operation name.

Returns:
  OK response

#### classAndMethodOperationName

    @Traced(operationName="endpointName")
     @GET
     @Path(value="classAndMethodOperationName")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response classAndMethodOperationName()

Test class and endpoint with Traced annotation and operation name.

Returns:
  OK response